<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>广告调用代码</title>
    <link href="css/css.css" rel="stylesheet" type="text/css" />
    <link href="css/css_list.css" rel="stylesheet" type="text/css" />
    <link href="css/control.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <table width="100%" border="0">
        <tr align="center">
            <td>
                <textarea id="code" cols="60" rows="5"><%=Request.QueryString["txt"]%></textarea></td>
        </tr>
        <tr>
            <td height="10">
            </td>
        </tr>
        <tr align="center">
            <td>
                <input type="button" value="复制代码" onclick="javascript:copyToClipBoard();" class="button" />
                <input type="button" value="关闭窗口" class="button" onclick="javascript:window.close();" /></td>
        </tr>
    </table>

    <script language="javascript">
    function copyToClipBoard()
    {
	    var clipBoardContent=document.getElementById("code").value
	    if(window.clipboardData){
	        window.clipboardData.setData("Text",clipBoardContent);
	        alert("复制成功");
	    }else{
	        alert("FireFox浏览器不支持此功能,请手动复制");
	    }
    }
    </script>

</body>
</html>
